Create
curl --request POST \
--url https://api.birdeye.com/resources/v1/business/public/custom-fields/create \
--header 'Content-Type: application/json' \
--data '
{
"defaultValue": "Green",
"dropDownOptions": [
"Blue",
"Green",
"Red"
],
"fieldDescription": "This custom field contains list of colours",
"fieldName": "colours",
"filterable": "false",
"type": "DROPDOWN_MULTI"
}
'import requests
url = "https://api.birdeye.com/resources/v1/business/public/custom-fields/create"
payload = {
"defaultValue": "Green",
"dropDownOptions": ["Blue", "Green", "Red"],
"fieldDescription": "This custom field contains list of colours",
"fieldName": "colours",
"filterable": "false",
"type": "DROPDOWN_MULTI"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
defaultValue: 'Green',
dropDownOptions: ['Blue', 'Green', 'Red'],
fieldDescription: 'This custom field contains list of colours',
fieldName: 'colours',
filterable: 'false',
type: 'DROPDOWN_MULTI'
})
};
fetch('https://api.birdeye.com/resources/v1/business/public/custom-fields/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 376,
"fieldName": "colours",
"created": 1751480725861,
"updated": 1751480725861
}{
"code": 5022,
"message": "Another custom field with same name already present."
}Custom Fields
Create Custom Fields
Create custom Fields
POST
/
v1
/
business
/
public
/
custom-fields
/
create
Create
Headers
e.g. application/json
e.g. - Partner specific API key provided by Birdeye for data exchange.
e.g. - Long Business Number
Media type of the JSON request body.
Body
application/json
Name of custom field.
Type of custom field.
Default Value of custom field.
The list of options in custom field.
Description of custom field.
Whether the custom field will be filterable or not. Default: false
Response
OK
⌘I